it-swarm.com.de

Site von 2.5 auf 3.4 migrieren

Ich möchte meine Joomla-Site von 2.5 auf 3.x aktualisieren.

Zuerst habe ich alle Erweiterungen mit verfügbaren Updates aktualisiert, dann habe ich das Joomla-Update ausgeführt. Nach der Aktualisierung der Website habe ich die folgenden Fehler erhalten:

Strenge Standards: In /home/bioproduct/domains/bioproduction.dk/public_html/testversion/plugins/system/truetypography/truetypography.php in Zeile 50 sollten nur Variablen durch Verweis zugewiesen werden

Warnung: require (/home/bioproduct/domains/bioproduction.dk/public_html/testversion/libraries/joomla/application/component/model.php): Fehler beim Öffnen des Streams: Keine Datei oder Verzeichnis in/home/bioproduct/domains/bioproduction.dk/public_html/testversion/administrator/components/com_virtuemart/helpers/vmmodel.php in Zeile 24

Schwerwiegender Fehler: require (): Fehler beim Öffnen '/home/bioproduct/domains/bioproduction.dk/public_html/testversion/libraries/joomla/application/component/model.php' (include_path = '.:/Usr/local/lib/php ') in /home/bioproduct/domains/bioproduction.dk/public_html/testversion/administrator/components/com_virtuemart/helpers/vmmodel.php in Zeile 24

In der Konfiguration der public $error_reporting = 'maximum';

1
Shehryar

Ihr Problem ist, dass virtuemart veraltet ist und daher die Probleme gemäß dem letzten Teil Ihrer schwerwiegenden Fehlermeldung verursacht.

Sie müssen alle virtuemart-Plugins deaktivieren, bevor Sie ein Update auf Joomla! 3.x Nach der Aktualisierung laden Sie Virtuemart 3 herunter und installieren es. Befolgen Sie auch deren Aktualisierungsanweisungen.

Wenn Sie bereits ein Upgrade auf Joomla! 3.x dann deaktiviere das virtuemart System Plugin in der Joomla! Erweiterungstabelle der Datenbank mit phpmyadmin.

1
tonypartridge

Ein Upgrade einer Site mit Virtuemart ist fast nie ein Ein-Klick-Upgrade. Ich habe vor einiger Zeit einen Beitrag über Joomla/Virtuemart-Upgrades geschrieben, obwohl für frühere Versionen.

Versuchen Sie zunächst, ein Upgrade auf Virtuemart 3 durchzuführen (falls Sie dies noch nicht getan haben). Virtuemart 2.x funktioniert nicht in Joomla 3 ( wie hier erwähnt ). Das pgrade sollte recht einfach sein, aber es gibt keine Garantie, dass es sofort funktioniert.

Ich finde es oft schneller (und einfacher), ein neues Geschäft von Grund auf neu zu eröffnen und Produkte und Kategorien erneut zu erstellen. Es mag nach unnötiger Arbeit klingen, aber verglichen mit der ganzen Fehlersuche, die Sie nach einem Ein-Klick-Upgrade durchführen müssen, ist es möglicherweise sogar schneller. Sie erhalten einen sauberen Start und können die meisten Einstellungen aus Ihrem vorherigen Geschäft (manuell) kopieren, wodurch Sie Zeit sparen.

Darüber hinaus erhalten Sie eine weniger wichtige strict standards Fehler mit einem Plugin namens True Typography , Sie sollten dieses Plugin aktualisieren oder deaktivieren.

1
johanpw